using System.Collections.Generic;

namespace InABox.Integration.Logikal
{

    public class LogikalBOMResponse<TBOM, TFinish, TProfile, TGasket, TComponent, TGlass, TLabour> : LogikalResponse
        where TBOM : ILogikalBOM<TFinish, TProfile, TGasket, TComponent, TGlass, TLabour>, new()
        where TFinish : ILogikalFinish
        where TProfile : ILogikalProfile
        where TGasket : ILogikalGasket
        where TComponent : ILogikalComponent
        where TGlass : ILogikalGlass
        where TLabour : ILogikalLabour
    {
        public override LogikalMethod Method() => LogikalMethod.BOM;

        public TBOM BOM { get; set; } = new TBOM();
        
        public override string ToString()
        {
            return BOM.ToString();
        }


    }


}